selftests: forwarding: Ditch skip_on_veth()

Since the selftests that are not supposed to run on veth pairs are now in
their own dedicated directory, the skip_on_veth logic can go away. Drop it
from the selftests, and from lib.sh.

Cc: Danielle Ratson <danieller@nvidia.com>
Signed-off-by: Petr Machata <petrm@nvidia.com>
Link: https://lore.kernel.org/r/63b470e10d65270571ee7de709b31672ce314872.1711464583.git.petrm@nvidia.com
Signed-off-by: Jakub Kicinski <kuba@kernel.org>
This commit is contained in:
Petr Machata 2024-03-26 17:54:33 +01:00 committed by Jakub Kicinski
parent 40d269c000
commit 0c499a3517
5 changed files with 4 additions and 29 deletions

View File

@ -287,8 +287,6 @@ different_speeds_autoneg_on()
ethtool -s $h1 autoneg on ethtool -s $h1 autoneg on
} }
skip_on_veth
trap cleanup EXIT trap cleanup EXIT
setup_prepare setup_prepare

View File

@ -109,8 +109,6 @@ no_cable()
ip link set dev $swp3 down ip link set dev $swp3 down
} }
skip_on_veth
setup_prepare setup_prepare
tests_run tests_run

View File

@ -325,17 +325,9 @@ setup_wait
used=$(ip -j stats show dev $rp1.200 group offload subgroup hw_stats_info | used=$(ip -j stats show dev $rp1.200 group offload subgroup hw_stats_info |
jq '.[].info.l3_stats.used') jq '.[].info.l3_stats.used')
kind=$(ip -j -d link show dev $rp1 | [[ $used = true ]]
jq -r '.[].linkinfo.info_kind') check_err $? "hw_stats_info.used=$used"
if [[ $used != true ]]; then log_test "l3_stats offloaded"
if [[ $kind == veth ]]; then tests_run
log_test_skip "l3_stats not offloaded on veth interface"
EXIT_STATUS=$ksft_skip
else
RET=1 log_test "l3_stats not offloaded"
fi
else
tests_run
fi
exit $EXIT_STATUS exit $EXIT_STATUS

View File

@ -100,8 +100,6 @@ test_stats_rx()
test_stats g2a rx test_stats g2a rx
} }
skip_on_veth
trap cleanup EXIT trap cleanup EXIT
setup_prepare setup_prepare

View File

@ -254,17 +254,6 @@ check_port_mab_support()
fi fi
} }
skip_on_veth()
{
local kind=$(ip -j -d link show dev ${NETIFS[p1]} |
jq -r '.[].linkinfo.info_kind')
if [[ $kind == veth ]]; then
echo "SKIP: Test cannot be run with veth pairs"
exit $ksft_skip
fi
}
if [[ "$(id -u)" -ne 0 ]]; then if [[ "$(id -u)" -ne 0 ]]; then
echo "SKIP: need root privileges" echo "SKIP: need root privileges"
exit $ksft_skip exit $ksft_skip